module CPumpProblemsVariables
    use CProblemDifinition
	implicit none    
	public 
    
    ! Input vars
    type :: PumpProblemsType
        type(CProblem) :: Pump1PowerFail
        type(CProblem) :: Pump1BlowPopOffValve
        type(CProblem) :: Pump2PowerFail
        type(CProblem) :: Pump2BlowPopOffValve
        type(CProblem) :: CementPumpPowerFail
        type(CProblem) :: CementPumpBlowPopOffValve
    end type PumpProblemsType

    contains  
    

end module CPumpProblemsVariables